#pragma once

class CWndCtrl:public CWnd
{
public:
	CWndCtrl(int iIndex, CWnd* pParent = NULL);
	~CWndCtrl(void);
	BOOL SetWindowFocus(BOOL bSelect);
	CString GetWndUser();
	void SetWndUser(LPCTSTR strKey);

	HWND GetPlayWnd();

	void OpenDigitZoom(BOOL bOpen, int lPlayID);
	
protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
private:
	BOOL m_bMouseTrack;
	HBRUSH m_hBrush;
	int m_iIndex;
	DECLARE_MESSAGE_MAP()
	BOOL m_bCurSel;
	int m_iUser;
	CWnd *m_pParentWnd;
	int m_iWndUser;
	CString m_strKey;
	BOOL m_bOpenDigitZoom;
	int m_iDigitPlayID;
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	CStatic m_ctlPicture;
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
};
